bitel.billing.server.load.bean

## Class SourceManager

- java.lang.Object
- - bitel.billing.server.load.bean.SourceManager

-     public class SourceManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteSource(int id)`
    `Source` | `getSource(int id)`
    `java.util.List<Source>` | `getSourceList(int mid)`
    `java.util.List<Source>` | `getSourceList(int mid, java.util.Calendar date)`
    `java.util.List<Source>` | `getSourceList(int mid, java.util.Date dateFrom, java.util.Date dateTo)`
    `java.util.List<Source>` | `getSourceList(int mid, int type, java.util.Calendar date, java.lang.String idList)`
    `void` | `updateSource(Source source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceManager

          public SourceManager(java.sql.Connection con)

  - ### Method Detail

    - #### updateSource

          public void updateSource(Source source)

    - #### getSourceList

          public java.util.List<Source> getSourceList(int mid)

    - #### getSourceList

          public java.util.List<Source> getSourceList(int mid,
                                                      java.util.Date dateFrom,
                                                      java.util.Date dateTo)

    - #### getSourceList

          public java.util.List<Source> getSourceList(int mid,
                                                      java.util.Calendar date)

    - #### getSourceList

          public java.util.List<Source> getSourceList(int mid,
                                                      int type,
                                                      java.util.Calendar date,
                                                      java.lang.String idList)
                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSource

          public Source getSource(int id)

    - #### deleteSource

          public void deleteSource(int id)